From 60c55b3a83cf20d2180e0cfa68a9680053daf4e4 Mon Sep 17 00:00:00 2001
From: Martin Schupfner <k204212@levante0.lvt.dkrz.de>
Date: Wed, 18 Jan 2023 15:59:07 +0100
Subject: [PATCH] Adoption of changes to fx and iniyear offset for other
 transient simulation scripts

---
 cmor/mpiesm/scripts/pismtest.cmor_ctl                    | 6 +++---
 ...t-deglaciation-prescribed-glac1d_r1i1p1f1-CR.cmor_ctl | 7 ++++---
 ...ient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.runpp | 9 ++++++---
 ...t-deglaciation-prescribed-glac1d_r1i1p2f2-CR.cmor_ctl | 7 ++++---
 ...ient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.runpp | 9 ++++++---
 ...t-deglaciation-prescribed-glac1d_r1i1p3f2-CR.cmor_ctl | 7 ++++---
 ...ient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.runpp | 9 ++++++---
 ...nt-deglaciation-prescribed-ice6g_r1i1p1f1-CR.cmor_ctl | 7 ++++---
 ...sient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.runpp | 9 ++++++---
 ...nt-deglaciation-prescribed-ice6g_r1i1p2f2-CR.cmor_ctl | 7 ++++---
 ...sient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.runpp | 9 ++++++---
 ...nt-deglaciation-prescribed-ice6g_r1i1p3f2-CR.cmor_ctl | 7 ++++---
 ...sient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.runpp | 9 ++++++---
 13 files changed, 63 insertions(+), 39 deletions(-)

diff --git a/cmor/mpiesm/scripts/pismtest.cmor_ctl b/cmor/mpiesm/scripts/pismtest.cmor_ctl
index 3535bef..d3343b2 100755
--- a/cmor/mpiesm/scripts/pismtest.cmor_ctl
+++ b/cmor/mpiesm/scripts/pismtest.cmor_ctl
@@ -10,10 +10,10 @@
 n_subsim=1
 #initial and final year of the experiment
 spinup=0
-iniyeararr=( $(( 4000 + spinup )) )
+iniyeararr=( $(( 4000 + $spinup )) )
 finyeararr=( 4999 )
-iniyear=$(( 1 + spinup ))
-finyear=1000
+iniyear=1
+finyear=$(( 1000 - $spinup ))
 #offset compared to startyear
 inioffsetarr=( -3999 )
 
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.cmor_ctl b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.cmor_ctl
index 313ce49..117533d 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.cmor_ctl
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.cmor_ctl
@@ -12,10 +12,11 @@ n_subsim=4
 spinup=1000
 iniyeararr=( $(( 3000 + spinup )) 2000 2000 2000 )
 finyeararr=( 7999 8999 8999 8999 )
-iniyear=$(( 1 + spinup ))
-finyear=26000
+iniyearoffset=0 # additional offset for iniyear
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-2999 3001 10001 17001)
+inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
 
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.runpp b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.runpp
index 9d78a70..996f9f7 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.runpp
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p1f1-CR.runpp
@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
 srfmod_input_dec_chunk="???1123124"
 ocemod_dec_chunk="???1123124"
 icemod_dec_chunk="???1123124"
+ocemod_fxyear=3000
 
 #InfoTable(s)
 # Define here the "cdocmorinfo"-File or "eum"-Files
@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
 #initial and final year of the experiment
 iniyeararr=($((3000+spinup)) 2000 2000 2000) # 26000-1 BP
 finyeararr=(7999 8999 8999 8999)
-iniyear=1
-finyear=$(( 26000 - $spinup ))
+iniyearoffset=0 # additional optional offset
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-2999 3001 10001 17001) # 26000-1 BP
+inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
 #  - 26000-21001 BP - 5000 yrs -     1- 5000 -   - 2999
@@ -384,6 +386,7 @@ function run_agg
             mkdir -p ${sdir}/out_aggr
 
             # Create softlinks to raw model output
+            echo "... creating links from '$rawsdir' for $period, $submodel"
             ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
 
             # Load and run the aggr ScriptFragment
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.cmor_ctl b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.cmor_ctl
index 14f4a23..d05bcd8 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.cmor_ctl
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.cmor_ctl
@@ -12,10 +12,11 @@ n_subsim=4
 spinup=1000
 iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
 finyeararr=( 8999 8999 8999 8999 )
-iniyear=$(( 1 + spinup ))
-finyear=26000
+iniyearoffset=0 # additional offset for iniyear
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001)
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
 
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.runpp b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.runpp
index 2ed21f3..4d10d54 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.runpp
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p2f2-CR.runpp
@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
 srfmod_input_dec_chunk="???1123124"
 ocemod_dec_chunk="???1123124"
 icemod_dec_chunk="???1123124"
+ocemod_fxyear=4000
 
 #InfoTable(s)
 # Define here the "cdocmorinfo"-File or "eum"-Files
@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
 #initial and final year of the experiment
 iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
 finyeararr=(8999 8999 8999 8999)
-iniyear=1
-finyear=$(( 26000 - $spinup ))
+iniyearoffset=0 # additional optional offset
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
 #a - 26000-21001 BP - 5000 yrs -     1- 5000 -   - 3999
@@ -384,6 +386,7 @@ function run_agg
             mkdir -p ${sdir}/out_aggr
 
             # Create softlinks to raw model output
+            echo "... creating links from '$rawsdir' for $period, $submodel"
             ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
 
             # Load and run the aggr ScriptFragment
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.cmor_ctl b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.cmor_ctl
index 02b4744..200d2ba 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.cmor_ctl
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.cmor_ctl
@@ -12,10 +12,11 @@ n_subsim=4
 spinup=1000
 iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
 finyeararr=( 8999 8999 8999 8999 )
-iniyear=$(( 1 + spinup ))
-finyear=26000
+iniyearoffset=0 # additional offset for iniyear
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001)
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
 
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.runpp b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.runpp
index 6db525f..4f2f0c3 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.runpp
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-glac1d_r1i1p3f2-CR.runpp
@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
 srfmod_input_dec_chunk="???1123124"
 ocemod_dec_chunk="???1123124"
 icemod_dec_chunk="???1123124"
+ocemod_fxyear=4000
 
 #InfoTable(s)
 # Define here the "cdocmorinfo"-File or "eum"-Files
@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
 #initial and final year of the experiment
 iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
 finyeararr=(8999 8999 8999 8999)
-iniyear=1
-finyear=$(( 26000 - $spinup ))
+iniyearoffset=0 # additional optional offset
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
 #a - 26000-21001 BP - 5000 yrs -     1- 5000 -   - 3999
@@ -384,6 +386,7 @@ function run_agg
             mkdir -p ${sdir}/out_aggr
 
             # Create softlinks to raw model output
+            echo "... creating links from '$rawsdir' for $period, $submodel"
             ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
 
             # Load and run the aggr ScriptFragment
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.cmor_ctl b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.cmor_ctl
index 352cb7f..190472b 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.cmor_ctl
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.cmor_ctl
@@ -12,10 +12,11 @@ n_subsim=4
 spinup=1000
 iniyeararr=( $(( 3000 + spinup )) 2000 2000 2000 )
 finyeararr=( 7999 8999 8999 8999 )
-iniyear=$(( 1 + spinup ))
-finyear=26000
+iniyearoffset=0 # additional offset for iniyear
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-2999 3001 10001 17001)
+inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
 
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.runpp b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.runpp
index b32ded7..0126e5b 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.runpp
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p1f1-CR.runpp
@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
 srfmod_input_dec_chunk="???1123124"
 ocemod_dec_chunk="???1123124"
 icemod_dec_chunk="???1123124"
+ocemod_fxyear=3000
 
 #InfoTable(s)
 # Define here the "cdocmorinfo"-File or "eum"-Files
@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
 #initial and final year of the experiment
 iniyeararr=($((3000+spinup)) 2000 2000 2000) # 26000-1 BP
 finyeararr=(7999 8999 8999 8999)
-iniyear=1
-finyear=$(( 26000 - $spinup ))
+iniyearoffset=0 # additional optional offset
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-2999 3001 10001 17001) # 26000-1 BP
+inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
 #  - 26000-21001 BP - 5000 yrs -     1- 5000 -   - 2999
@@ -384,6 +386,7 @@ function run_agg
             mkdir -p ${sdir}/out_aggr
 
             # Create softlinks to raw model output
+            echo "... creating links from '$rawsdir' for $period, $submodel"
             ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
 
             # Load and run the aggr ScriptFragment
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.cmor_ctl b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.cmor_ctl
index 6b49232..b822513 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.cmor_ctl
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.cmor_ctl
@@ -12,10 +12,11 @@ n_subsim=4
 spinup=1000
 iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
 finyeararr=( 8999 8999 8999 8999 )
-iniyear=$(( 1 + spinup ))
-finyear=26000
+iniyearoffset=0 # additional offset for iniyear
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001)
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
 
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.runpp b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.runpp
index ec23b3e..5a3b094 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.runpp
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p2f2-CR.runpp
@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
 srfmod_input_dec_chunk="???1123124"
 ocemod_dec_chunk="???1123124"
 icemod_dec_chunk="???1123124"
+ocemod_fxyear=4000
 
 #InfoTable(s)
 # Define here the "cdocmorinfo"-File or "eum"-Files
@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
 #initial and final year of the experiment
 iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
 finyeararr=(8999 8999 8999 8999)
-iniyear=1
-finyear=$(( 26000 - $spinup ))
+iniyearoffset=0 # additional optional offset
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
 #a - 26000-21001 BP - 5000 yrs -     1- 5000 -   - 3999
@@ -384,6 +386,7 @@ function run_agg
             mkdir -p ${sdir}/out_aggr
 
             # Create softlinks to raw model output
+            echo "... creating links from '$rawsdir' for $period, $submodel"
             ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
 
             # Load and run the aggr ScriptFragment
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.cmor_ctl b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.cmor_ctl
index 758b0da..1a151f7 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.cmor_ctl
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.cmor_ctl
@@ -12,10 +12,11 @@ n_subsim=4
 spinup=1000
 iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
 finyeararr=( 8999 8999 8999 8999 )
-iniyear=$(( 1 + spinup ))
-finyear=26000
+iniyearoffset=0 # additional offset for iniyear
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001)
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
 
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
diff --git a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.runpp b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.runpp
index 2d9e694..f0edf3c 100755
--- a/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.runpp
+++ b/cmor/mpiesm/scripts/transient-deglaciation-prescribed-ice6g_r1i1p3f2-CR.runpp
@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
 srfmod_input_dec_chunk="???1123124"
 ocemod_dec_chunk="???1123124"
 icemod_dec_chunk="???1123124"
+ocemod_fxyear=4000
 
 #InfoTable(s)
 # Define here the "cdocmorinfo"-File or "eum"-Files
@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
 #initial and final year of the experiment
 iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
 finyeararr=(8999 8999 8999 8999)
-iniyear=1
-finyear=$(( 26000 - $spinup ))
+iniyearoffset=0 # additional optional offset
+iniyear=$(( $iniyearoffset + 1 ))
+finyear=$(( 26000 + $iniyearoffset - $spinup ))
 #offset compared to startyear
-inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
+inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
 # Time axis (26000-1 BP)
 ##     exp time       total yrs   new exp time   offset
 #a - 26000-21001 BP - 5000 yrs -     1- 5000 -   - 3999
@@ -384,6 +386,7 @@ function run_agg
             mkdir -p ${sdir}/out_aggr
 
             # Create softlinks to raw model output
+            echo "... creating links from '$rawsdir' for $period, $submodel"
             ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
 
             # Load and run the aggr ScriptFragment
-- 
GitLab